API ReferenceapimembershipGET /v1/memberships/{id}

GET /v1/memberships/\{id\}

Service: membership · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • id (string) required

Responses

200 Membership found

{
  "type": "object",
  "properties": {
    "id": {
      "type": "string"
    },
    "user_id": {
      "type": "string"
    },
    "brand_id": {
      "type": "string"
    },
    "tier": {
      "type": "string"
    },
    "state": {
      "type": "string"
    },
    "subscription_id": {
      "type": [
        "string",
        "null"
      ]
    },
    "has_access": {
      "type": "boolean"
    },
    "created_at": {
      "type": "string"
    },
    "updated_at": {
      "type": "string"
    }
  },
  "required": [
    "id",
    "user_id",
    "brand_id",
    "tier",
    "state",
    "subscription_id",
    "has_access",
    "created_at",
    "updated_at"
  ]
}

404 Not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X GET https://membership.platform.loop.health/v1/memberships/{id} \
  -H "Authorization: Bearer $ACCESS_TOKEN"